:: GsplitPortable - Takes a large file and splits it up into pieces for easier backup.
::                  Note: This version does NOT use VSS, so file must be available for copy and not open
:: Last Updated: 8/10/2011
:: 12/17/2014 - better handling of paths with embedded blanks. no need for quotes.
:: 11/09/2020 - handle source paths with embedded &
::
:: How to configure - Perform the 3 edits to the SET statements as indicated
::
::
:: 1. Edit the filepath where this Gsplit_Portable.bat file lives. It should contain
::    the GsplitPortable utility folder.
::
SET myPath=C:\SQL_Backup
::
:: 2. Edit the file path location of the source file to be split.
::
SET "myDataFile=C:\SQL_Backup\MyDatabase\MyDatabaseName\MyDatabaseName.bak"
::
:: 3. Edit the foldername which will contain the split data - This folder should be
::    identified for online backup.
::
SET GsplitDataFolder=%MyPath%\MyDatabaseGsplit
::
:: Make sure that you select the MydatabaseGsplit for backup AND that you create a file in
:: the remote backup folder called pre-<backupsetname>.bat. In that file you want
:: to have a line which calls this script, i.e., CALL C:\SQL_Backup\Gsplit_Portable.bat
::
::
:: ------ Do not edit below this line -------
::
:: Constants
::
SET Gsplit=GsplitPortable
::
:: We do the actual VSS snapshot and chunking using gsplit here
CALL "%MyPath%\%Gsplit%\GsplitPortable.bat" "%myDataFile%" "%GsplitDataFolder%"
::
:: Done.
